Import Excalidraw Architecture Diagram
curl --request POST \
--url https://api.example.com/api/v1/architecture/{design_id}/diagrams/import-excalidraw \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payload": {},
"title": "<string>",
"change_summary": "<string>",
"description": "<string>",
"diagram_type": "other",
"order_index": 0,
"replace_diagram_id": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/architecture/{design_id}/diagrams/import-excalidraw"
payload = {
"payload": {},
"title": "<string>",
"change_summary": "<string>",
"description": "<string>",
"diagram_type": "other",
"order_index": 0,
"replace_diagram_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payload: {},
title: '<string>',
change_summary: '<string>',
description: '<string>',
diagram_type: 'other',
order_index: 0,
replace_diagram_id: '<string>'
})
};
fetch('https://api.example.com/api/v1/architecture/{design_id}/diagrams/import-excalidraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"board_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"global_description": "<string>",
"id": "<string>",
"parent_id": "<string>",
"parent_type": "ideation",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"breaking_change_flag": false,
"diagrams": [
{
"title": "<string>",
"adapter_payload": {},
"adapter_payload_ref": "<string>",
"content_hash": "<string>",
"description": "<string>",
"diagram_type": "other",
"format": "raw",
"id": "<string>",
"order_index": 0,
"preview_ref": "<string>",
"render_metadata": {},
"size_bytes": 123,
"source_diagram_id": "<string>",
"source_payload_ref": "<string>"
}
],
"entities": [
{
"name": "<string>",
"boundaries": "<string>",
"entity_type": "<string>",
"id": "<string>",
"notes": "<string>",
"relationships": [
"<string>"
],
"responsibility": "<string>",
"technologies": [
"<string>"
]
}
],
"interfaces": [
{
"name": "<string>",
"contract_type": "<string>",
"description": "<string>",
"direction": "<string>",
"endpoint": "<string>",
"error_contract": {},
"event_schema": {},
"id": "<string>",
"notes": "<string>",
"participants": [
"<string>"
],
"protocol": "<string>",
"request_schema": {},
"response_schema": {},
"schema_ref": "<string>"
}
],
"requires_arch_review": false,
"source_design_id": "<string>",
"source_ref": "<string>",
"source_version": 123,
"stale": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}architecture
Import Excalidraw Architecture Diagram
POST
/
api
/
v1
/
architecture
/
{design_id}
/
diagrams
/
import-excalidraw
Import Excalidraw Architecture Diagram
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Import an Excalidraw scene into an architecture design.
Required string length:
1 - 255Available options:
context, container, component, sequence, deployment, data_flow, other Response
Successful Response
Full Architecture Design response.
Minimum string length:
1Available options:
ideation, refinement, spec, card Required string length:
1 - 500Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on May 17, 2026
⌘I